#include "hlistbox.h"
#define IDU_EDIT 	777      
#define IDU_HLIST 	778                                            
#define IDU_BUTTON 	779    
// toolsdlg.h : header file
//


//toollistbox
class CToolListBox : public CListBox
{
public:
// Operations
	void AddToolItem(int);
    void DrawButton(CDC*pDC,CDC*pdcMem,CRect rect,int);
// Implementation
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMIS);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDIS);
//	virtual int CompareItem(LPCOMPAREITEMSTRUCT lpCIS);
};
//////////////////////////////////////////////////
//




/////////////////////////////////////////////////////////////////////////////
// CToolsDlg dialog

class CToolsDlg : public CDialog
{
// Construction
public:
	//CBitmapButton m_Add,m_Remove,m_Replace,m_Cancel;
	CToolsDlg(CWnd* pParent = NULL);	// standard constructor
    ~CToolsDlg();
// Dialog Data
	//{{AFX_DATA(CToolsDlg)
	enum { IDD = IDD_TOOLS };
	//}}AFX_DATA
   CToolListBox m_tools;
   CToolListBox m_idletools;
   CHListBox *m_pHList;  

   CDC* m_pdcMem;
// Overrides
public:

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
    CString m_strText;  
    CString m_strText2;
	// Generated message map functions
	//{{AFX_MSG(CToolsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnRemove();
	afx_msg void OnReplace();
	afx_msg void OnInsert();
	afx_msg void OnSelchangeListbox1();
	afx_msg void OnSelchangeListbox2();
	afx_msg void OnPaint();
	afx_msg void OnClose(); 
	afx_msg void OnApply();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
